# std::allocator::max_size

From cppreference.com
< cpp‎ | memory‎ | allocator

size_type max_size() const; |  | (deprecated since C++17)

Returns the maximum theoretically possible value of `n`, for which the call `allocate(n, 0)` could succeed.

In most implementations, this returns std::numeric_limits<size_type>::max() / sizeof(value_type).

### Parameters

(none)

### Return value

The maximum supported allocation size

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### See also

max_size [static] | returns the maximum object size supported by the allocator (public static member function of `std::allocator_traits`)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/allocator/max_size&oldid=91706"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template